{ lib, ... }:

lib.extra.mkConfig {
  # List of modules to enable
  enabledModules = [
    # INFO: This list needs to stay sorted alphabetically
    "dgn-backups"
    "dgn-chatops"
    "dgn-web"
  ];

  # List of services to enable
  enabledServices = [
    # INFO: This list needs to stay sorted alphabetically
    "arkheon"
    "dgsi"
    "ds-fr"
    "grafana"
    "hedgedoc"
    "kanidm"
    "librenms"
    "mastodon"
    "nextcloud"
    "ollama-proxy"
    "outline"
    "plausible"
    "postgresql"
    "rstudio-server"
    "satosa"
    "signal-irc-bridge"
    "signald"
    "stirling-pdf"
    "takumi"
    "telegraf"
    "vaultwarden"
    "zammad"
  ];

  extraConfig = {
    dgn-hardware.useZfs = true;

    services.netbird.enable = true;
  };

  root = ./.;
}
