{ config, ... }:

{
  imports = [ ./packages ];

  services.crabfit = {
    enable = true;

    api.host = "api.meet.dgnum.eu";
    frontend.host = "meet.dgnum.eu";
  };

  dgn-backups.postgresDatabases = [ "crabfit" ];

  dgn-web.simpleProxies = {
    crabfit-api = {
      inherit (config.services.crabfit.api) host port;
    };
    crabfit-frontend = {
      inherit (config.services.crabfit.frontend) host port;
    };
  };
}
